{ pkgs, inputs, ... }:
{
  imports = [ inputs.vnj.nixosModules.x86_64-linux.default ];
  programs.adb.enable = true;

  services.vnj =
    let
      mkCfg = port: {
        app = {
          secret = "1337";
          log_level = "debug";
          journal = "/home/nero/vnj";
        };

        http.listen = "0.0.0.0:${builtins.toString port}";
      };
    in
    {
      enable = true;
      user = "nero";
      instances = {
        ru = mkCfg 1337;
      };
    };

  virtualisation.docker.enable = true;

  environment.systemPackages = with pkgs; [
    obsidian
    git
    # element-desktop
    # monero-gui
    emacs
    fd
    ripgrep
    signal-desktop
    terraform
    pavucontrol
    vlc
    wine
    winetricks
    yandex-cloud
    qbittorrent
  ];

  fonts.packages = with pkgs; [
    fira-code
    fira-code-symbols
  ];
}
